package com.four.system.api.domain;

import com.four.system.api.model.LoginUser;

import java.util.Date;

/**
 * 医生信息表
 * */
public class registrationInformation {
   private Long  registrationInformationId;
   private Long  userId;
   private String  realName;
   private String  affiliatedHospital;
   private Long  medicalDepartmentId;
   private Long  professionalTitleDoctorId;
   private String  personalResume;
   private String  areaExpertise;
   private Date registrationTime;
   private Long  numberPatientsServed;
   private Double  consultingPrice;
   private Integer  praise;
   private Integer  registrationInformationExamineStatus;
   private Integer  registrationInformationMedicStatus;


    public registrationInformation(Long registrationInformationId, Long userId, String realName, String affiliatedHospital, Long medicalDepartmentId, Long professionalTitleDoctorId, String personalResume, String areaExpertise, Date registrationTime, Long numberPatientsServed, Double consultingPrice, Integer praise, Integer registrationInformationExamineStatus, Integer registrationInformationMedicStatus) {
        this.registrationInformationId = registrationInformationId;
        this.userId = userId;
        this.realName = realName;
        this.affiliatedHospital = affiliatedHospital;
        this.medicalDepartmentId = medicalDepartmentId;
        this.professionalTitleDoctorId = professionalTitleDoctorId;
        this.personalResume = personalResume;
        this.areaExpertise = areaExpertise;
        this.registrationTime = registrationTime;
        this.numberPatientsServed = numberPatientsServed;
        this.consultingPrice = consultingPrice;
        this.praise = praise;
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }

    public registrationInformation() {
    }

    public Long getRegistrationInformationId() {
        return registrationInformationId;
    }

    public void setRegistrationInformationId(Long registrationInformationId) {
        this.registrationInformationId = registrationInformationId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public String getAffiliatedHospital() {
        return affiliatedHospital;
    }

    public void setAffiliatedHospital(String affiliatedHospital) {
        this.affiliatedHospital = affiliatedHospital;
    }

    public Long getMedicalDepartmentId() {
        return medicalDepartmentId;
    }

    public void setMedicalDepartmentId(Long medicalDepartmentId) {
        this.medicalDepartmentId = medicalDepartmentId;
    }

    public Long getProfessionalTitleDoctorId() {
        return professionalTitleDoctorId;
    }

    public void setProfessionalTitleDoctorId(Long professionalTitleDoctorId) {
        this.professionalTitleDoctorId = professionalTitleDoctorId;
    }

    public String getPersonalResume() {
        return personalResume;
    }

    public void setPersonalResume(String personalResume) {
        this.personalResume = personalResume;
    }

    public String getAreaExpertise() {
        return areaExpertise;
    }

    public void setAreaExpertise(String areaExpertise) {
        this.areaExpertise = areaExpertise;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public Long getNumberPatientsServed() {
        return numberPatientsServed;
    }

    public void setNumberPatientsServed(Long numberPatientsServed) {
        this.numberPatientsServed = numberPatientsServed;
    }

    public Double getConsultingPrice() {
        return consultingPrice;
    }

    public void setConsultingPrice(Double consultingPrice) {
        this.consultingPrice = consultingPrice;
    }

    public Integer getPraise() {
        return praise;
    }

    public void setPraise(Integer praise) {
        this.praise = praise;
    }

    public Integer getRegistrationInformationExamineStatus() {
        return registrationInformationExamineStatus;
    }

    public void setRegistrationInformationExamineStatus(Integer registrationInformationExamineStatus) {
        this.registrationInformationExamineStatus = registrationInformationExamineStatus;
    }

    public Integer getRegistrationInformationMedicStatus() {
        return registrationInformationMedicStatus;
    }

    public void setRegistrationInformationMedicStatus(Integer registrationInformationMedicStatus) {
        this.registrationInformationMedicStatus = registrationInformationMedicStatus;
    }

    @Override
    public String toString() {
        return "registrationInformation{" +
                "registrationInformationId=" + registrationInformationId +
                ", userId=" + userId +
                ", realName='" + realName + '\'' +
                ", affiliatedHospital='" + affiliatedHospital + '\'' +
                ", medicalDepartmentId=" + medicalDepartmentId +
                ", professionalTitleDoctorId=" + professionalTitleDoctorId +
                ", personalResume='" + personalResume + '\'' +
                ", areaExpertise='" + areaExpertise + '\'' +
                ", registrationTime=" + registrationTime +
                ", numberPatientsServed=" + numberPatientsServed +
                ", consultingPrice=" + consultingPrice +
                ", praise=" + praise +
                ", registrationInformationExamineStatus=" + registrationInformationExamineStatus +
                ", registrationInformationMedicStatus=" + registrationInformationMedicStatus +
                '}';
    }
}
